// niz2.C - Metode klase nizova apstraktnih podataka.

#include "niz2.h"

Niz::Niz (double kk) {                      // Stvaranje praznog niza.
  niz = new Podatak* [kap = kk];
  for (int i=0; i<kap; niz[i++]=0);
}

void Niz::kopiraj (const Niz& nn) {         // Inicijalizacija nizom.
  niz = new Podatak* [kap = nn.kap];
  for (int i=0; i<kap; i++)
    niz[i] = nn.niz[i] ? nn.niz[i]->kopija() : 0;
}

void Niz::pisi (ostream& dd) const {        // Pisanje.
  dd << '[';
  for (int i=0; i<kap; i++) {
    if (niz[i]) dd << *niz[i];
    if (i < kap-1) dd << ',';
  }
  dd << ']';
}

Niz& Niz::operator+= (const Podatak& pp) {  // Umetanje podatka.
  int i;
  for (i=0; i<kap && niz[i]; i++);
  if (i == kap) throw GPun ();
  niz[i] = pp.kopija ();
  return *this;
}

Niz& Niz::operator~ () {                    // Praznjenje niza.
  for (int i=0; i<kap; i++) { delete niz[i]; niz[i] = 0; }
  return *this;
}
