// osobe.C - Metode klasa osoba, djaka i zaposlenih.

#include "osobe.h"
#include <iostream>
using namespace std;

void Osoba::citaj () {
  cout << "Ime i prezime?     "; cin >> ws; 
                                 cin.getline (ime,    31);
  cout << "Datum rodjenja?    "; cin.getline (datum,  11);
  cout << "Adresa stanovanja? "; cin.getline (adresa, 31);
}

void Osoba::pisi  () const {
  cout << "Ime i prezime:     " << ime       << endl;
  cout << "Datum rodjenja:    " << datum     << endl;
  cout << "Adresa stanovanja: " << adresa    << endl;
}

void Djak::citaj () {
  Osoba::citaj ();
  cout << "Naziv skole?       "; cin.getline (skola, 31);
  cout << "Razred?            "; cin.getline (razred, 7);
}

void Djak::pisi  () const {
  Osoba::pisi ();
  cout << "Naziv skole:       " << skola     << endl;
  cout << "Razred:            " << razred    << endl;
}

void Zaposleni::citaj () {
  Osoba::citaj ();
  cout << "Naziv firme?       "; cin.getline (firma,     31);
  cout << "Naziv odeljenja?   "; cin.getline (odeljenje, 31);
}

void Zaposleni::pisi () const {
  Osoba::pisi ();
  cout << "Naziv firme:       " << firma     << endl;
  cout << "Naziv odeljenja:   " << odeljenje << endl;
}
