// sekpravi.C - Formiranje sekvencijalne binarne datoteke.

#include <fstream>
using namespace std;

int main (int, const char* vpar[]) {
  try {
    ifstream ulaz  (vpar[1]);              if (!ulaz)  throw 1;
    ofstream izlaz (vpar[2], ios::binary); if (!izlaz) throw 2;
    int n;
    while (ulaz >> n) {
      double* x = new double [n];
      for (int i=0; i<n; ulaz >> x[i++]);
      izlaz.write ((char*)&n, sizeof(int));
      izlaz.write ((char*)x, n*sizeof(double));
      delete [] x;
    }
  } catch (int g) {
    cout << "*** Greska pri otvaranju datoteke " << vpar[g] << " ***\a\n";
    return g;
  }
  return 0;
}

