// sekvenca.C - Metode klase sekvenci.

#include "sekvenca.h"

namespace Naredbe {
  void Sekvenca::kopiraj (const Sekvenca& s) {    // Kopiranje u objekat.
    prva = 0; Elem *posl = 0;
    for (Elem* tek=s.prva; tek; tek=tek->sled)
      posl = (!prva ? prva : posl->sled) = new Elem (tek->nar->kopija());
  }

  void Sekvenca::pisi (ostream& dat) const {      // Pisanje.
    Naredba::pisi (dat); dat << "{\n";
    nivo++;
    for (Elem* tek=prva; tek; tek=tek->sled) dat << *tek->nar;
    nivo--;
    Naredba::pisi (dat); dat << "}\n";
  }

  void Sekvenca::operator! () const {             // Izvrsavanje.
    for (Elem* tek=prva; tek; tek=tek->sled) !*tek->nar;
  }
} // namespace Naredbe