// skalar.h - Klasa skalarnih podataka.

#ifndef _skalar_h_
#define _skalar_h_

#include "podatak.h"

class Skalar: public Podatak {
  double vredn;                                      // Vrednost podatka.
public:
  Skalar (double vv=0) { vredn = vv; }                    // Konstruktor.
  Skalar* kopija () const { return new Skalar (*this); }  // Kopija.
  double operator+ () const { return vredn; }             // Vrednost.
private:
  void pisi  (ostream& dd) const { dd << vredn; }         // Pisanje.
};

#endif