// student.C - Definicije metoda klase studenata.

#include "student.h"
#include <cstring>
#include <cstdlib>
using namespace std;

Student::Student (const char* iime, long iind, int kkap) { // Konstruktor.
  ime = new char [strlen(iime)+1];
  strcpy (ime, iime);
  ocene = new int [kap = kkap];
  brOc = 0;
}

Student& Student::promeniIme (const char* iime) {  // Promena imena.
  delete [] ime;
  ime = new char [strlen(iime)+1];
  strcpy (ime, iime);
  return *this;
}

Student& Student::operator+= (int ocena) {         // Dodavanje ocene.
  if (brOc == kap) exit (1);
  ocene[brOc++] = ocena;
  return *this;
}

int& Student::operator[] (int i) {                 // Dohvatanje ocene.
  if (i<0 || i>brOc) exit (2);
  return ocene[i];
}

int Student::operator[] (int i) const {
  if (i<0 || i>brOc) exit (2);
  return ocene[i];
}

double Student::operator! () const {               // Srednja ocena.
  double s = 0;
  for (int i=0; i<brOc; s+=ocene[i++]);
  return brOc ? s/brOc : 0;
}
