// bitovit.C - Ispitivanje genericke klase nizova bitova.

#include "bitovi.h"
#include <iostream>
#include <cstdlib>
using namespace std;

#define N 37

int main () {
  Bitovi<N> b1, b2;
  for (int i=0; i<N; i++) {
    b1[i] = (rand() >> 10) & 1;
    b2[i] = (rand() >> 10) & 1;
  }
  cout << "b1         = " << b1 << endl;
  cout << "b2         = " << b2 << endl;
  cout << "~b1        = " << (~b1) << endl;
  cout << "~b2        = " << (~b2) << endl;
  cout << "b1 &  b2   = " << (b1 &  b2) << endl;
  cout << "b1 |  b2   = " << (b1 |  b2) << endl;
  cout << "b1 ^  b2   = " << (b1 ^  b2) << endl;
  cout << "b1 &= b2   = " << (b1 &= b2) << endl;
  cout << "b1 |= ~b2  = " << (b1 |= ~b2) << endl;
  cout << "b1 ^= b2   = " << (b1 ^= b2) << endl;
  cout << "b1 >> 13   = " << (b1 >> 13) << endl;
  cout << "b1 << 9    = " << (b1 <<  9) << endl;
  for (int i=0, j=N-1; i<j; i++, j--)
    {bool b = b1[i]; b1[i] = b1[j]; b1[j] = b; }
  cout << "Obrnuto b1 = " << b1 << endl;
  cout << "[b1<b2 "  << (b1 < b2)  << "] "
       << "[b1<=b2 " << (b1 <= b2) << "] "
       << "[b1==b2 " << (b1 == b2) << "] "
       << "[b1!=b2 " << (b1 != b2) << "] "
       << "[b1>b2 "  << (b1 > b2)  << "] "
       << "[b1>=b2 " << (b1 >= b2) << "]\n";
  cout << "[b1<b1 "  << (b1 < b1)  << "] "
       << "[b1<=b1 " << (b1 <= b1) << "] "
       << "[b1==b1 " << (b1 == b1) << "] "
       << "[b1!=b1 " << (b1 != b1) << "] "
       << "[b1>b1 "  << (b1 > b1)  << "] "
       << "[b1>=b1 " << (b1 >= b1) << "]\n";
  return 0;
}