// izraz.h - Klasa apstraktnih izraz.

#ifndef _izraz_h_
#define _izraz_h_

#include <iostream>
using namespace std;

namespace Izrazi {
  class Izraz {
  public:
    virtual ~Izraz () {}                       // Virtuelni destruktor.
    virtual double operator+ () const =0;      // Vrednost izraza.
    virtual Izraz* kopija () const =0;         // Dinamicka kopija.
  private:
    virtual void pisi (ostream& dat) const =0; // Pisanje izraza.
    friend ostream& operator<< (ostream& dat, const Izraz& izr)
      { izr.pisi (dat); return dat; }
  }; // class Izraz
} // namespace Izrazi

#endif