// massfera.h - Klasa masina za kvadre.

#ifndef _massfera_h_
#define _massfera_h_

#include "masina.h"
#include "sfera2.h"

namespace Fabrika {
  class MasSfera: public Masina {
    double r;                              // Poluprecnik pravljenih sfera.
    Sfera* napravi () const                     // Napravi sferu.
      { return new Sfera (r); }
  public:
    MasSfera (double rr) { r = rr; }            // Inicijalizacija.
    char vrsta () const { return Sfera::VR; }   // Vrsta pravljenih proizv.
    double uzmiR () const { return r; }         // Dohvatanje poluprecnika
  }; // class MasSfera                          //   pravljenih sfera.
} // namesapace Fabrika

#endif
